Main Page Widgets Namespaces Book

# Glib::Value< Glib::RefPtr< const T > > Class Template Reference
[Generic Values]

Partial specialization for RefPtr<> to const Glib::Object. More...

Inheritance diagram for Glib::Value< Glib::RefPtr< const T > >:

[legend]
List of all members.

## Public Types
typedef Glib::RefPtr< const T > | CppType
typedef T::BaseObjectType* | CType
## Public Methods
void | set (const CppType& data)
CppType | get () const
## Static Public Methods
GType | value_type ()

## Detailed Description

### template <class T>
class Glib::Value< Glib::RefPtr< const T > >

Partial specialization for RefPtr<> to const Glib::Object.

## Member Typedef Documentation

template <class T>
typedef Glib::RefPtr<const T> Glib::Value<Glib::RefPtr<const T>>::CppType

template <class T>
typedef T::BaseObjectType* Glib::Value<Glib::RefPtr<const T>>::CType

## Member Function Documentation

template <class T>
CppType Glib::Value<Glib::RefPtr<const T>>::get | ( |  | ) | const`[inline]`

template <class T>
void Glib::Value<Glib::RefPtr<const T>>::set | ( | const CppType& | data | ) | `[inline]`

template <class T>
GType Glib::Value<Glib::RefPtr<const T>>::value_type | ( |  | ) | `[inline, static]`

| Reimplemented from Glib::ValueBase_Object.

The documentation for this class was generated from the following file:

- glib/glibmm/value.h